/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package workers;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

public class EngineerTest {
      Engineer engineer1 = new Engineerl("Timur", "Engineer", 25000);
      Engineer engineer2 = new Engineer("Nikola", "Engineer", 22000);
      Worker worker = new Worker();

      @Test void salaryTest() {
          assertEquals(25000, engineer1.getSalary(), "work correct");
      }

      @Test void charmetodTest() {
          assertEquals("I can make a lot!", engineer1.engineer(), "work correct");
      }

      @Test void equalsTest() {
          assertEquals(false, engineer1.equals(engineer2));
      }

      @Test void hashCodeTest() {
          assertNotEquals(engineer1.hashCode(),engineer2.hashCode());
      }
}
